using System;

internal sealed class Delegate526 : MulticastDelegate
{
	public extern void Invoke(object object_0, Uri uri_0);

	public static void smethod_0(object object_0, Uri uri_0, Delegate526 delegate526_1)
	{
		delegate526_1(object_0, uri_0);
	}

	public extern Delegate526(object object_0, IntPtr intptr_0);

	static Delegate526()
	{
		Class10.smethod_13(typeof(Delegate526).TypeHandle);
	}

	internal static Delegate526 delegate526_0;
}
